geos::algorithm::distance Namespace Reference

Classes to compute distance metrics between geometries. More...

## Classes

class | DiscreteFrechetDistance
| The Fréchet distance is a measure of similarity between curves. Thus, it can be used like the Hausdorff distance. More...
class | DiscreteHausdorffDistance
| An algorithm for computing a distance metric which is an approximation to the Hausdorff Distance based on a discretization of the input `geom::Geometry`. More...
class | DistanceToPoint
class | PointPairDistance

## Detailed Description

Classes to compute distance metrics between geometries.